repo(s) for hamster on Cinnamon on LMDE?

deb http://debian.linuxmint.com

repo(s) for hamster on Cinnamon on LMDE?

Postby TomRoche on Mon May 19, 2014 7:07 pm

I've been running hamster (a time-tracking app) on my old LMDE/MATE box. I'd like to run the hamster Cinnamon applet on my new LMDE=UP8/Cinnamon box. However I can only see 2 ways to do this:

1. install from PPA as suggested here (section=Installation). But PPAs are bad with LMDE as noted here (Q2.2).
2. build from source. Unfortunately, UP8 has GTK version=3.8.4, and Project Hamster advises

Code: Select all
Version of gtk required is 3.10 because of the use of HeaderBar and other bits.


So I'm wondering:

  1. Am I missing Something Completely Different? I.e., another way to do this?
  2. Is there a way to fiddle the PPA so as to make it LMDE-safe?
  3. Are there LMDE-friendly repos (e.g., incoming, testing) that will give me GTK version=3.10?
  4. If able to "step up" to GTK version=3.10, how badly will that break the rest of my UP8/Cinnamon?
TomRoche
Level 3
Level 3
 
Posts: 177
Joined: Thu Jan 13, 2011 2:52 pm

Linux Mint is funded by ads and donations.
 

Return to Update Packs Repositories

Who is online

Users browsing this forum: No registered users and 4 guests